Cognos considerations when upgrading to Maximo 7.5.0.8 with IE11

November 12, 2015 Eric_LeGuennec

 

Do you like to have the latest smartphone model available on the market?

Do you like to have recent internet browser versions too?

You might therefore have chosen to upgrade to Maximo 7.5.0.8 in order to use the Internet Explorer 11 browser version which is compatible with this fixpack level.

What is the impact on reporting tools?


- If you are using BIRT reports, it is quite straightforward: BIRT 3.7.1 is the only version of BIRT that is compatible with Maximo 7.5.0.8. So no need to upgrade if you were already on the 7.5.0.3 fixpack or a newer one.  
 
- If you are using Cognos reports, these are the considerations to take into account.

You could potentially choose to use the IE11 browser with Cognos 8.4.1 (and TCR 2.1 and TCR 2.1.1) which is still supported with Maximo 7.5.0.8. But be aware that IE11 was never tested on Cognos 8.4.1. The highest supported version of Internet Explorer on Cognos 8.4.1. is IE9. So we cannot guarantee that this unsupported configuration will work correctly and we do not know what problems it could create, so this is NOT an advisable solution.
 
It is therefore recommended to upgrade to Cognos 10.1.1 which is supported with Maximo 7.5.0.8.
 
In order to download the Cognos 10.1.1 version, you will need to go to IBM Fix Central and search for Cognos 10.1.1 Server and download it.
Instructions re installation are available here :
http://www-01.ibm.com/support/docview.wss?uid=swg21500935
If you choose to use Cognos 10.1.1, you must have your own Cognos 10.1.1 license.   Maximo 7.5 does not entitle customers to use Cognos 10.1.1.  Maximo 7.5 only provides a license to Cognos 8.4.1 - which is entitled through TCR 2.1.1.
But the problem is that Cognos is supported with IE10 and IE11 only in COMPATIBILITY mode. Maximo however only supports IE10 and IE11 in STANDARD mode.
Please refer to IBM technote 1697683  (http://www-01.ibm.com/support/docview.wss?uid=swg21697683 ).
 
Does this mean you cannot upgrade to IE 11, Maximo 7.5.0.8 AND Cognos 10.1.1 all at the same time?
Yes you can!
If you decide to use Cognos 10.1.1 with your Maximo 7.5.0.8 and you then purchase your own Cognos 10.1.1 license, you can run IE in Enterprise Mode.
Details on how to configure this are in this guide :
 http://www-01.ibm.com/support/docview.wss?uid=swg21965754

This change will then allow you to use both Maximo 7.5.0.8 and Cognos 10.1.1 with the IE11 browser.

Previous Article
Maximo 7.6 - Maximo Management Interface Automation Script

Maximo 7.6 - Maximo Management Interface Automation Script : Creating an automation script for MMI informat...

Next Article
Reorder Cron Does NOT Generate PR / PO

Reorder crontask doesn't generate any PR/PO.  How do I troubleshoot this problem? We can start by finding o...

×

Want our latest news? Subscribe to our blog!

Last Name
First Name
Thank you!
Error - something went wrong!